<?php
/*
 * Author: Víctor Sánchez Sánchez (victorsanchez2@gmail.com - www.victorsanchez2.com)
 *
 * This file is part of FootballRankingGenerator.
 *
 * FootballRankingGenerator is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FootballRankingGenerator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FootballRankingGenerator.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
?>

<?php include('cabecera.inc.php'); ?>

<!-- ATENCION:
			Es necesario que las tablas esten creadas.
			Utilice tablas-frg.sql para crear la base de datos en MySQL
-->

	<?php

			include_once("datos_bd.inc.php");
			if(connect_db($connection)==0){
				mysql_select_db($mysql_instance,$connection);

				echo 'Introduzca la jornada:<br />';

				$num_jornada=$_REQUEST['id_jornada'];

				if($num_jornada==NULL)
					$num_jornada=1;

				echo 'Jornada=',$num_jornada,'<br />';

				echo '<form action="#" name="form_jornada" id="form_jornada" accept-charset="utf-8" method="get">';
					echo '<input type="text" maxlength="2" name="id_jornada" size="2" value="" />';
					echo '<input type="submit" name="generar_clasificacion" value="Modificar jornada" />';
				echo '</form>';

				//Buscar todos las equipos
				$campos="id_equipo,nombre";
				$query="SELECT $campos from $mysql_tabla_equipos;";
				$error_busqueda=false;
				$result=mysql_query($query,$connection);
				if(mysql_errno($connection)!=0){
					$numerror=mysql_errno($connection);
					$descrerror=mysql_error($connection);
					echo '<div align="center"><strong>Error interno al mostrar los equipos.</strong>.</div>';
					echo "ERROR $numerror: $descrerror  <br />";
					$error_busqueda=true;
				}

				$lista_equipos = array();

				$num_equipos=mysql_num_rows($result);
				$num_partidos=$num_equipos/2;
				for($i=0;$i<$num_equipos;$i++){
					$v=mysql_fetch_row($result);
					$lista_equipos[$i][0]=$v[0];
					$lista_equipos[$i][1]=utf8_encode($v[1]);
					//echo 'Equipo[',$lista_equipos[$i][0],']: ', $lista_equipos[$i][1],'<br />';
				}

				/* ****************************************************************************************** */
				/* *************** Si se esta intentando generar la clasificacion ***************/
				/* ****************************************************************************************** */
				$numero=count($_GET);
				$tags=array_keys($_GET);	//Obtener los nombres de las varibles
				$valores=array_values($_GET);	//Obtener los valores de las varibles
				if($valores[$numero-1]=="Generar"){
					//Crea las variables y les asigna el valor
					$modulo=4; //Cada bloque esta formado por 4 elementos: local-goles-goles-visitante
					for($i=0;$i<$numero;$i++){
						$$tags[$i]=$valores[$i];
						//echo "<br />numero=$numero, tag=$tags[$i], valor=$valores[$i]-1<br />";
						if($i % $modulo==0){
							//Inicializar
							$equipo_local=NULL;
							$equipo_visitante=NULL;
							$goles_local=NULL;
							$goles_visitante=NULL;

							//echo 'Local=',$lista_equipos[$valores[$i]][1];
							$equipo_local=$valores[$i];
						}
						elseif($i % $modulo==1){
							//echo '&nbsp;&nbsp;',$valores[$i],'-';
							$goles_local=$valores[$i];
						}
						elseif($i % $modulo==2){
							//echo $valores[$i],'&nbsp;&nbsp;';
							$goles_visitante=$valores[$i];
						}
						elseif($i % $modulo==3){
							//echo 'Visitante=',$lista_equipos[$valores[$i]][1],'<br />';
							$equipo_visitante=$valores[$i];
						}
						//Si el resultado no es NULL
						if($goles_local!=NULL and $goles_visitante!=NULL and $equipo_local!=NULL and $equipo_visitante!=NULL){
							echo '<br />Actualizando: ',$lista_equipos[$equipo_local][1],' ',$goles_local,' - ',$goles_visitante,' ',$lista_equipos[$equipo_visitante][1];
							if($goles_local>$goles_visitante){
								$puntos_local=3;
								$puntos_visitante=0;
								$ganados_local=1;
								$ganados_visitante=0;
								$empatados_local=0;
								$empatados_visitante=0;
								$perdidos_local=0;
								$perdidos_visitante=1;
							}
							elseif($goles_local<$goles_visitante){
								$puntos_local=0;
								$puntos_visitante=3;
								$ganados_local=0;
								$ganados_visitante=1;
								$empatados_local=0;
								$empatados_visitante=0;
								$perdidos_local=1;
								$perdidos_visitante=0;
							}
							else{
								$puntos_local=1;
								$puntos_visitante=1;
								$ganados_local=0;
								$ganados_visitante=0;
								$empatados_local=1;
								$empatados_visitante=1;
								$perdidos_local=0;
								$perdidos_visitante=0;
							}
							$query="UPDATE $mysql_tabla_jornada SET goles_local=$goles_local, goles_visitante=$goles_visitante, puntos_local=$puntos_local, puntos_visitante=$puntos_visitante WHERE num_jornada=$num_jornada and equipo_local=$equipo_local and equipo_visitante=$equipo_visitante LIMIT 1;";
							echo "<br />Actualizando jornada con: $query";
							$result=mysql_query($query,$connection);
							if(mysql_errno($connection)!=0){
								$numerror=mysql_errno($connection);
								$descrerror=mysql_error($connection);
								echo '<div align="center"><strong>Error interno al actualizar el resultado entre ',$equipo_local,' y ',$equipo_visitante,' de la jornada ',$num_jornada,'.</strong>.</div>';
								echo "ERROR $numerror: $descrerror  <br />";
							}

							$campos="id_equipo,jugados,";
							$campos.="puntos_t,ganados_t,empatados_t,perdidos_t,goles_ft,goles_ct,diff_gt,";
							$campos.="puntos_c,ganados_c,empatados_c,perdidos_c,goles_fc,goles_cc,diff_gc,";
							$campos.="puntos_f,ganados_f,empatados_f,perdidos_f,goles_ff,goles_cf,diff_gf";

							//////////////////////////////////////////////////
							//Extraer la clasificacion del equipo_local
							//////////////////////////////////////////////////
							$query="SELECT $campos FROM $mysql_tabla_clasificacion WHERE id_equipo=$equipo_local LIMIT 1;";
							$result=mysql_query($query,$connection);
							if(mysql_errno($connection)!=0){
								$numerror=mysql_errno($connection);
								$descrerror=mysql_error($connection);
								echo '<div align="center"><strong>Error interno al leer la tabla de clasificación.</strong></div>';
								echo "ERROR $numerror: $descrerror  <br />";
							}

							$v=mysql_fetch_row($result);

							$j=0;
							$id_equipo=$v[$j++];
							$query="SELECT nombre FROM $mysql_tabla_equipos WHERE id_equipo=$id_equipo";
							$result_id_equipo=mysql_query($query,$connection);
							if(mysql_errno($connection)!=0){
								$numerror=mysql_errno($connection);
								$descrerror=mysql_error($connection);
								echo '<div align="center"><strong>Error interno al insertar el calendario.</strong></div>';
								echo "ERROR $numerror: $descrerror  <br />";
							}
							$v_id_equipo=mysql_fetch_row($result_id_equipo);
							$nombre_equipo=utf8_encode($v_id_equipo[0]);

							$jugados=$v[$j++];

							//Total
							$puntos_t=$v[$j++];
							$ganados_t=$v[$j++];
							$empatados_t=$v[$j++];
							$perdidos_t=$v[$j++];
							$goles_ft=$v[$j++];
							$goles_ct=$v[$j++];
							$diff_gt=$v[$j++];

							//Casa
							$puntos_c=$v[$j++];
							$ganados_c=$v[$j++];
							$empatados_c=$v[$j++];
							$perdidos_c=$v[$j++];
							$goles_fc=$v[$j++];
							$goles_cc=$v[$j++];
							$diff_gc=$v[$j++];

							//Fuera
							$puntos_f=$v[$j++];
							$ganados_f=$v[$j++];
							$empatados_f=$v[$j++];
							$perdidos_f=$v[$j++];
							$goles_ff=$v[$j++];
							$goles_cf=$v[$j++];
							$diff_gf=$v[$j++];

							//Sumar a los valores actuales el nuevo resultado
							$jugados++;
							//Total
							$puntos_t+=$puntos_local;
							$ganados_t+=$ganados_local;
							$empatados_t+=$empatados_local;
							$perdidos_t+=$perdidos_local;
							$goles_ft+=$goles_local;
							$goles_ct+=$goles_visitante;
							$diff_gt+=($goles_local-$goles_visitante);
							//Casa
							$puntos_c+=$puntos_local;
							$ganados_c+=$ganados_local;
							$empatados_c+=$empatados_local;
							$perdidos_c+=$perdidos_local;
							$goles_fc+=$goles_local;
							$goles_cc+=$goles_visitante;
							$diff_gc+=($goles_local-$goles_visitante);

							//Fuera (El equipo ha jugado en casa, no se cuenta ahora)
							//$puntos_f+=$puntos_visitante;
							//$ganados_f+=$ganados_visitante;
							//$empatados_f+=$empatados_visitante;
							//$perdidos_f+=$perdidos_visitante;
							//$goles_ff+=$goles_visitante;
							//$goles_cf+=$goles_local;
							//$diff_gf+=($goles_visitante-$goles_local);

							$set_update="jugados=$jugados, puntos_t=$puntos_t, ganados_t=$ganados_t, empatados_t=$empatados_t, perdidos_t=$perdidos_t,";
							$set_update.="goles_ft=$goles_ft, goles_ct=$goles_ct, diff_gt=$diff_gt,";
							$set_update.="puntos_c=$puntos_c, ganados_c=$ganados_c, empatados_c=$empatados_c, perdidos_c=$perdidos_c,";
							$set_update.="goles_fc=$goles_fc, goles_cc=$goles_cc, diff_gc=$diff_gc";

							//Guardar la fila en la clasificacion
							$query="UPDATE $mysql_tabla_clasificacion SET $set_update WHERE id_equipo=$id_equipo LIMIT 1;";
							$result=mysql_query($query,$connection);
							if(mysql_errno($connection)!=0){
								$numerror=mysql_errno($connection);
								$descrerror=mysql_error($connection);
								echo '<div align="center"><strong>Error interno al actualizar la clasificacion de  ',$id_equipo,'.</strong>.</div>';
								echo "ERROR $numerror: $descrerror  <br />";
							}

							//////////////////////////////////////////////////
							//Extraer la clasificacion del equipo_visitante
							//////////////////////////////////////////////////
							$query="SELECT $campos FROM $mysql_tabla_clasificacion WHERE id_equipo=$equipo_visitante LIMIT 1;";
							$result=mysql_query($query,$connection);
							if(mysql_errno($connection)!=0){
								$numerror=mysql_errno($connection);
								$descrerror=mysql_error($connection);
								echo '<div align="center"><strong>Error interno al leer la tabla de clasificación.</strong></div>';
								echo "ERROR $numerror: $descrerror  <br />";
							}

							$v=mysql_fetch_row($result);

							$j=0;
							$id_equipo=$v[$j++];
							$query="SELECT nombre FROM $mysql_tabla_equipos WHERE id_equipo=$id_equipo";
							$result_id_equipo=mysql_query($query,$connection);
							if(mysql_errno($connection)!=0){
								$numerror=mysql_errno($connection);
								$descrerror=mysql_error($connection);
								echo '<div align="center"><strong>Error interno al insertar el calendario.</strong></div>';
								echo "ERROR $numerror: $descrerror  <br />";
							}
							$v_id_equipo=mysql_fetch_row($result_id_equipo);
							$nombre_equipo=utf8_encode($v_id_equipo[0]);

							$jugados=$v[$j++];

							//Total
							$puntos_t=$v[$j++];
							$ganados_t=$v[$j++];
							$empatados_t=$v[$j++];
							$perdidos_t=$v[$j++];
							$goles_ft=$v[$j++];
							$goles_ct=$v[$j++];
							$diff_gt=$v[$j++];

							//Casa
							$puntos_c=$v[$j++];
							$ganados_c=$v[$j++];
							$empatados_c=$v[$j++];
							$perdidos_c=$v[$j++];
							$goles_fc=$v[$j++];
							$goles_cc=$v[$j++];
							$diff_gc=$v[$j++];

							//Fuera
							$puntos_f=$v[$j++];
							$ganados_f=$v[$j++];
							$empatados_f=$v[$j++];
							$perdidos_f=$v[$j++];
							$goles_ff=$v[$j++];
							$goles_cf=$v[$j++];
							$diff_gf=$v[$j++];

							//Sumar a los valores actuales el nuevo resultado
							$jugados++;
							//Total
							$puntos_t+=$puntos_visitante;
							$ganados_t+=$ganados_visitante;
							$empatados_t+=$empatados_visitante;
							$perdidos_t+=$perdidos_visitante;
							$goles_ft+=$goles_visitante;
							$goles_ct+=$goles_local;
							$diff_gt+=($goles_visitante-$goles_local);

							//Casa	(El equipo ha jugado fuera, no se cuenta ahora)
							//$puntos_c+=$puntos_local;
							//$ganados_c+=$ganados_local;
							//$empatados_c+=$empatados_local;
							//$perdidos_c+=$perdidos_local;
							//$goles_fc+=$goles_local;
							//$goles_cc+=$goles_visitante;
							//$diff_gc+=($goles_local-$goles_visitante);

							//Fuera
							$puntos_f+=$puntos_visitante;
							$ganados_f+=$ganados_visitante;
							$empatados_f+=$empatados_visitante;
							$perdidos_f+=$perdidos_visitante;
							$goles_ff+=$goles_visitante;
							$goles_cf+=$goles_local;
							$diff_gf+=($goles_visitante-$goles_local);

							$set_update="jugados=$jugados, puntos_t=$puntos_t, ganados_t=$ganados_t, empatados_t=$empatados_t, perdidos_t=$perdidos_t,";
							$set_update.="goles_ft=$goles_ft, goles_ct=$goles_ct, diff_gt=$diff_gt,";
							$set_update.="puntos_f=$puntos_f, ganados_f=$ganados_f, empatados_f=$empatados_f, perdidos_f=$perdidos_f,";
							$set_update.="goles_ff=$goles_ff, goles_cf=$goles_cf, diff_gf=$diff_gf";

							//Guardar la fila en la clasificacion
							$query="UPDATE $mysql_tabla_clasificacion SET $set_update WHERE id_equipo=$id_equipo LIMIT 1;";
							$result=mysql_query($query,$connection);
							if(mysql_errno($connection)!=0){
								$numerror=mysql_errno($connection);
								$descrerror=mysql_error($connection);
								echo '<div align="center"><strong>Error interno al actualizar la clasificacion de  ',$id_equipo,'.</strong>.</div>';
								echo "ERROR $numerror: $descrerror  <br />";
							}
						}
					}

					echo "<br /><br />La clasificación se ha generado, <br />query=$query.";
					mysql_close($connection);
					echo '<br /><br /><a href="muestra_clasificacion.php">Ver la clasificación.</a>';
					echo '<br /><br /><a href="index.php">Volver</a>';
					exit(1);

					//ir a muestra_clasificacion.php una vez que se han cargado los datos
				} /*	if($valores[$numero-1]=="Generar"){ */
				/* ****************************************************************************************** */
				/* *************** Fin de generacion de la clasificacion ***************/
				/* ****************************************************************************************** */

				$campos="num_jornada,num_partido,equipo_local,equipo_visitante";
				$query="SELECT $campos from $mysql_tabla_jornada where num_jornada=$num_jornada;";
				$error_busqueda=false;
				$result=mysql_query($query,$connection);
				if(mysql_errno($connection)!=0){
					$numerror=mysql_errno($connection);
					$descrerror=mysql_error($connection);
					echo '<div align="center"><strong>Error interno al mostrar los enfrentamientos.</strong>.</div>';
					echo "ERROR $numerror: $descrerror  <br />";
					$error_busqueda=true;
				}

				$lista_enfrentamientos = array();

				$num_enfrentamientos=mysql_num_rows($result);
				for($i=0;$i<$num_enfrentamientos;$i++){
					$v=mysql_fetch_row($result);
					$lista_enfrentamientos[$i][0]=$v[2];
					$lista_enfrentamientos[$i][1]=$v[3];
					//echo 'Partido: ',$lista_enfrentamientos[$i][0],' vs ', $lista_enfrentamientos[$i][1],'<br />';
				}
				mysql_close($connection);

				if($num_partidos!=$num_enfrentamientos){
					echo "<br />ERROR: Deber&iacute;an coincidir num_partidos=<b>$num_partidos</b> y num_enfrentamientos=<b>$num_enfrentamientos</b>.<br /><br />";
					echo "¿Está generado el calendario? (<a href='generar-calendario.php'>Generarlo</a>)<br /><br />";
				}
				else{

					//Inicio tabla de equipos
					if($error_busqueda==false){
						echo '<form action="#" name="form_equipos" id="form_equipos" accept-charset="utf-8" method="get">';
							echo '<table border="1">';
								for ($i=0;$i<$num_partidos;$i++){
									echo '<tr>';
										echo '<td width="200">';
											$nombre_sel="sel_equipo_local$i";
											echo '<select name="',$nombre_sel,'" id="',$nombre_sel,'">';
												for ($j=0;$j<$num_equipos;$j++){
													if($j==$lista_enfrentamientos[$i][0])
														echo '<option selected="selected" value="',$lista_equipos[$j][0],'">',$lista_equipos[$j][1],'</option>';
													else
														echo '<option value="',$lista_equipos[$j][0],'">',$lista_equipos[$j][1],'</option>';
												}
											echo '</select>';
										echo '</td>';
										$nombre_input="form_equipo_local$i";
										echo '<td width="2"><input type="text" maxlength="2" name="',$nombre_input,'" size="2" value="" style="text-align: right" /></td>';
										$nombre_input="form_equipo_visitante$i";
										echo '<td width="2"><input type="text" maxlength="2" name="',$nombre_input,'" size="2" value="" /></td>';
										echo '<td width="200" align="right">';
											$nombre_sel="sel_equipo_visitante$i";
											echo '<select name="',$nombre_sel,'" id="',$nombre_sel,'">';
												for ($j=0;$j<$num_equipos;$j++){
													if($j==$lista_enfrentamientos[$i][1])
														echo '<option selected="selected" value="',$lista_equipos[$j][0],'">',$lista_equipos[$j][1],'</option>';
													else
														echo '<option value="',$lista_equipos[$j][0],'">',$lista_equipos[$j][1],'</option>';
												}
											echo '</select>';
										echo '</td>';
									echo '</tr>';
								}
								echo '<tr>';
									echo '<td colspan="4" align="right"><input type="submit" name="generar_clasificacion" value="Generar" /></td>';
								echo '</tr>';
							echo '</table>';
						echo '</form>';
					}
					//Fin tabla de equipos
				}
			}
	?>

	<?php include('pie_pagina.inc.php'); ?>


</body>
</html>

<?php
/*
SELECT e.equipo_nombre, SUM(j.jugador_amarillas), SUM(j.jugador_rojas) FROM equipo e
INNER JOIN jugador j ON j.id_equipo = e.id_equipo
GROUP BY j.id_equipo

--Goles a favor y en contra siendo local
SELECT SUM(j.goles_local), SUM(j.goles_visitante)
FROM jornada e
INNER JOIN jornada j ON j.equipo_local = 18
GROUP BY j.id_equipo

--Goles a favor y en contra como local
SELECT SUM(j.goles_local), SUM(j.goles_visitante)
FROM jornada j
WHERE equipo_local=18

--Goles a favor y en contra como visitante
SELECT SUM(j.goles_local), SUM(j.goles_visitante)
FROM jornada j
WHERE equipo_visitante=18

--Puntos a favor y en contra como local
SELECT SUM(j.puntos_local), SUM(j.puntos_visitante)
FROM jornada j
WHERE equipo_local=18

--Puntos a favor y en contra como visitante
SELECT SUM(j.puntos_local), SUM(j.puntos_visitante)
FROM jornada j
WHERE equipo_visitante=18

--Partidos jugados
SELECT COUNT(*)
FROM jornada j
WHERE (equipo_local=18 OR equipo_visitante=18) AND puntos_local IS NOT NULL and puntos_visitante IS NOT NULL

*/
?>