<?php
/*
 * Author: Víctor Sánchez Sánchez (victorsanchez2@gmail.com - www.victorsanchez2.com)
 *
 * This file is part of FootballRankingGenerator.
 *
 * FootballRankingGenerator is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FootballRankingGenerator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FootballRankingGenerator.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
?>

<?php include('cabecera.inc.php'); ?>

	<div class="imagen">
		<img src="../img/bannercebre_peq.jpg" alt="C. D. Cebrere&ntilde;a" />
	</div>

	<br />
	<center><b>Tercera Divisi&oacute;n: Grupo VIII de Castilla y Le&oacute;n (Temporada 2010-2011)</b></center>
	<br />
	<table border="0" cellpadding="1" cellspacing="1" width="99%" bgcolor="gray" align="center">
	<tr bgcolor="white">
	<td colspan="2"></td>
	<td colspan="8"><center>Total</center></td>
	<td colspan="7"><center>Casa</center></td>
	<td colspan="7"><center>Fuera</center></td>
	<td colspan="6"><center>Estad&iacute;sticas</center></td>
	</tr>
	<tr bgcolor="white">
	<td colspan="2" width="100"><font color="black"><b>CLASIFICACI&Oacute;N</b></font></td>

	<!--Total-->
	<td align="center"><font color="green">Jugados</font></td>
	<td align="center"><font color="green">Puntos</font></td>
	<td align="center"><font color="green">G</font></td>
	<td align="center"><font color="green">E</font></td>
	<td align="center"><font color="green">P</font></td>
	<td align="center"><font color="green">GF</font></td>
	<td align="center"><font color="green">GC</font></td>
	<td align="center"><font color="green">DFG</font></td>

	<!--Casa-->
	<td align="center"><font color="green">P</font></td>
	<td align="center"><font color="green">G</font></td>
	<td align="center"><font color="green">E</font></td>
	<td align="center"><font color="green">P</font></td>
	<td align="center"><font color="green">GF</font></td>
	<td align="center"><font color="green">GC</font></td>
	<td align="center"><font color="green">DFG</font></td>

	<!--Fuera-->
	<td align="center"><font color="green">P</font></td>
	<td align="center"><font color="green">G</font></td>
	<td align="center"><font color="green">E</font></td>
	<td align="center"><font color="green">P</font></td>
	<td align="center"><font color="green">GF</font></td>
	<td align="center"><font color="green">GC</font></td>
	<td align="center"><font color="green">DFG</font></td>

	<!--Estadisticas-->
	<td align="center"><font color="green">RVT</font></td>
	<td align="center"><font color="green">RDT</font></td>
	<td align="center"><font color="green">RVC</font></td>
	<td align="center"><font color="green">RDC</font></td>
	<td align="center"><font color="green">RVF</font></td>
	<td align="center"><font color="green">RDF</font></td>


	</tr>

	<?php
		$num_equipos=20;

		include_once("datos_bd.inc.php");
		connect_db($connection);
		mysql_select_db($mysql_instance,$connection);

		//Ordenar la clasificacion
		$campos="id_equipo,jugados,";
		$campos.="puntos_t,ganados_t,empatados_t,perdidos_t,goles_ft,goles_ct,diff_gt,";
		$campos.="puntos_c,ganados_c,empatados_c,perdidos_c,goles_fc,goles_cc,diff_gc,";
		$campos.="puntos_f,ganados_f,empatados_f,perdidos_f,goles_ff,goles_cf,diff_gf";
		$query="SELECT $campos FROM $mysql_tabla_clasificacion ORDER BY puntos_t DESC, diff_gt DESC, goles_ft DESC";
		ejecutar_query($connection,$query,$result,"Error interno al insertar el calendario.");

		$i=1;	//Indica la posicion del equipo
		while($v=mysql_fetch_row($result)){
			$j=0;
			$id_equipo=$v[$j++];
			$query="SELECT nombre FROM $mysql_tabla_equipos WHERE id_equipo=$id_equipo";
			ejecutar_query($connection,$query,$result_id_equipo,"Error interno al insertar el calendario.");

			$v_id_equipo=mysql_fetch_row($result_id_equipo);
			$nombre_equipo=utf8_encode($v_id_equipo[0]);

			$jugados=$v[$j++];

			//Total
			$puntos_t=$v[$j++];
			$ganados_t=$v[$j++];
			$empatados_t=$v[$j++];
			$perdidos_t=$v[$j++];
			$goles_ft=$v[$j++];
			$goles_ct=$v[$j++];
			$diff_gt=$v[$j++];

			//Casa
			$puntos_c=$v[$j++];
			$ganados_c=$v[$j++];
			$empatados_c=$v[$j++];
			$perdidos_c=$v[$j++];
			$goles_fc=$v[$j++];
			$goles_cc=$v[$j++];
			$diff_gc=$v[$j++];

			//Fuera
			$puntos_f=$v[$j++];
			$ganados_f=$v[$j++];
			$empatados_f=$v[$j++];
			$perdidos_f=$v[$j++];
			$goles_ff=$v[$j++];
			$goles_cf=$v[$j++];
			$diff_gf=$v[$j++];

			if($i==1 or $i==2 or $i==3 or $i==4){	//Play-off
				echo '<tr bgcolor="white">';
				echo '<td bgcolor="#1DA1ED" align="right"><font size="2" color="black">',$i++,'&deg;&nbsp;</font></td>';
				echo '<td bgcolor="#1DA1ED" width="190"><font size="2" color="black"><b>&nbsp;',$nombre_equipo,'</b></font></td>';
			}
			else if ($i==18 or $i==19 or $i==20){	//Descenso
				echo '<tr bgcolor="white">';
				echo '<td bgcolor="#E85757" align="right"><font size="2" color="black">',$i++,'&deg;&nbsp;</font></td>';
				echo '<td bgcolor="#E85757" width="190"><font size="2" color="black"><b>&nbsp;',$nombre_equipo,'</b></font></td>';
			}
			else{	//Resto
				echo '<tr bgcolor="white">';
				echo '<td bgcolor="#8FC0A0" align="right"><font size="2" color="black">',$i++,'&deg;&nbsp;</font></td>';
				echo '<td bgcolor="#8FC0A0" width="190"><font size="2" color="black"><b>&nbsp;',$nombre_equipo,'</b></font></td>';
			}

			echo '<td bgcolor="white" align="center">',$jugados,'</td>'; //Jugados

			//Total
			echo '<td bgcolor="#C0C0C0" align="center"><b>',$puntos_t,'</b></td>'; //Puntos
			echo '<td bgcolor="white" align="center">',$ganados_t,'</td>'; //Ganados totales
			echo '<td bgcolor="white" align="center">',$empatados_t,'</td>'; //Empatados totales
			echo '<td bgcolor="white" align="center">',$perdidos_t,'</td>'; //Perdidos totales
			echo '<td bgcolor="white" align="center">',$goles_ft,'</td>'; //Goles a favor totales
			echo '<td bgcolor="white" align="center">',$goles_ct,'</td>'; //Goles en contra totales
			echo '<td bgcolor="white" align="center">',$diff_gt,'</td>'; //Diferencia de goles
			//Casa
			echo '<td bgcolor="#0FAFF0" align="center">',$puntos_c,'</td>'; //Puntos
			echo '<td bgcolor="#8FC0A0" align="center">',$ganados_c,'</td>'; //Ganados
			echo '<td bgcolor="#8FC0A0" align="center">',$empatados_c,'</td>'; //Empatados
			echo '<td bgcolor="#8FC0A0" align="center">',$perdidos_c,'</td>'; //Perdidos
			echo '<td bgcolor="#8FC0A0" align="center">',$goles_fc,'</td>'; //Goles a favor
			echo '<td bgcolor="#8FC0A0" align="center">',$goles_cc,'</td>'; //Goles en contra
			echo '<td bgcolor="#8FC0A0" align="center">',$diff_gc,'</td>'; //Diferencia de goles
			//Fuera
			echo '<td bgcolor="#0FAFF0" align="center">',$puntos_f,'</td>'; //Puntos
			echo '<td bgcolor="#8FDFAF" align="center">',$ganados_f,'</td>'; //Ganados
			echo '<td bgcolor="#8FDFAF" align="center">',$empatados_f,'</td>'; //Empatados
			echo '<td bgcolor="#8FDFAF" align="center">',$perdidos_f,'</td>'; //Perdidos
			echo '<td bgcolor="#8FDFAF" align="center">',$goles_ff,'</td>'; //Goles a favor
			echo '<td bgcolor="#8FDFAF" align="center">',$goles_cf,'</td>'; //Goles en contra
			echo '<td bgcolor="#8FDFAF" align="center">',$diff_gf,'</td>'; //Diferencia de goles

			////////////////////////////////
			//Estadisticas
			////////////////////////////////

			/**
				Mejor racha de victorias como local (RVC)
			*/
			$query="select puntos_local from $mysql_tabla_jornada where equipo_local=$id_equipo and puntos_local is not null order by num_jornada asc";
			ejecutar_query($connection,$query,$result_estad,"Error interno al calcular estad&iacute;sticas.");
			$racha_anterior=0;
			$racha_actual=0;
			while($estad=mysql_fetch_row($result_estad)){
				if($estad[0]==3)
					$racha_actual++;
				else{
					if($racha_actual>$racha_anterior)
						$racha_anterior=$racha_actual;
					$racha_actual=0;
				}
			}
			$rv_c=get_mayor($racha_actual,$racha_anterior);

			/**
				Peor racha de derrotas como local (RDC)
			*/
			$query="select puntos_local from $mysql_tabla_jornada where equipo_local=$id_equipo and puntos_local is not null";
			ejecutar_query($connection,$query,$result_estad,"Error interno al calcular estad&iacute;sticas.");
			$racha_anterior=0;
			$racha_actual=0;
			while($estad=mysql_fetch_row($result_estad)){
				if($estad[0]==0)
					$racha_actual++;
				else{
					if($racha_actual>$racha_anterior)
						$racha_anterior=$racha_actual;
					$racha_actual=0;
				}
			}
			$rd_c=get_mayor($racha_actual,$racha_anterior);

			/**
				Mejor racha de victorias como visitante (RVF)
			*/
			$query="select puntos_visitante from $mysql_tabla_jornada where equipo_visitante=$id_equipo and puntos_visitante is not null";
			ejecutar_query($connection,$query,$result_estad,"Error interno al calcular estad&iacute;sticas.");
			$racha_anterior=0;
			$racha_actual=0;
			while($estad=mysql_fetch_row($result_estad)){
				if($estad[0]==3)
					$racha_actual++;
				else{
					if($racha_actual>$racha_anterior)
						$racha_anterior=$racha_actual;
					$racha_actual=0;
				}
			}
			$rv_f=get_mayor($racha_actual,$racha_anterior);

			/**
				Peor racha de derrotas como visitante (RDF)
			*/
			$query="select puntos_visitante from $mysql_tabla_jornada where equipo_visitante=$id_equipo and puntos_visitante is not null";
			ejecutar_query($connection,$query,$result_estad,"Error interno al calcular estad&iacute;sticas.");
			$racha_anterior=0;
			$racha_actual=0;
			while($estad=mysql_fetch_row($result_estad)){
				if($estad[0]==0)
					$racha_actual++;
				else{
					if($racha_actual>$racha_anterior)
						$racha_anterior=$racha_actual;
					$racha_actual=0;
				}
			}
			$rd_f=get_mayor($racha_actual,$racha_anterior);

			/**
				Mejor racha de victorias total
			*/
			$query="select num_jornada,puntos_local from $mysql_tabla_jornada where equipo_local=$id_equipo and puntos_local is not null order by num_jornada";
			ejecutar_query($connection,$query,$result_estad_l,"Error interno al calcular estad&iacute;sticas.");
			$query="select num_jornada,puntos_visitante from $mysql_tabla_jornada where equipo_visitante=$id_equipo and puntos_visitante is not null order by num_jornada";
			ejecutar_query($connection,$query,$result_estad_v,"Error interno al calcular estad&iacute;sticas.");
			$racha_anterior=0;
			$racha_actual=0;
			do{
 				$estad_l=mysql_fetch_row($result_estad_l);
 				$estad_v=mysql_fetch_row($result_estad_v);
				if($estad_l!=NULL and $estad_v!=NULL){	//Si existen datos
					$num_jornada_l=$estad_l[0];
					$num_jornada_v=$estad_v[0];
					$puntos_l=$estad_l[1];
					$puntos_v=$estad_v[1];

					if($num_jornada_l < $num_jornada_v){
						if($puntos_l==3){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
						if($puntos_v==3){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
					}
					else{
						if($puntos_v==3){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
						if($puntos_l==3){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
					}
				}
			} while($estad_l!=NULL and $estad_v!=NULL);
			$rv_t=get_mayor($racha_actual,$racha_anterior);

			/**
				Peor racha de derrotas total
			*/
			$query="select num_jornada,puntos_local from $mysql_tabla_jornada where equipo_local=$id_equipo and puntos_local is not null order by num_jornada";
			ejecutar_query($connection,$query,$result_estad_l,"Error interno al calcular estad&iacute;sticas.");
			$query="select num_jornada,puntos_visitante from $mysql_tabla_jornada where equipo_visitante=$id_equipo and puntos_visitante is not null order by num_jornada";
			ejecutar_query($connection,$query,$result_estad_v,"Error interno al calcular estad&iacute;sticas.");
			$racha_anterior=0;
			$racha_actual=0;
			do{
 				$estad_l=mysql_fetch_row($result_estad_l);
 				$estad_v=mysql_fetch_row($result_estad_v);
				if($estad_l!=NULL and $estad_v!=NULL){	//Si existen datos
					$num_jornada_l=$estad_l[0];
					$num_jornada_v=$estad_v[0];
					$puntos_l=$estad_l[1];
					$puntos_v=$estad_v[1];

					if($num_jornada_l < $num_jornada_v){
						if($puntos_l==0){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
						if($puntos_v==0){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
					}
					else{
						if($puntos_v==0){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
						if($puntos_l==0){
							$racha_actual++;
						}
						else{
							if($racha_actual>$racha_anterior)
								$racha_anterior=$racha_actual;
							$racha_actual=0;
						}
					}
				}
			} while($estad_l!=NULL and $estad_v!=NULL);
			$rd_t=get_mayor($racha_actual,$racha_anterior);

			echo '<td bgcolor="white" align="center">',$rv_t,'</td>'; 	//Mejor racha de victorias (RVT)
			echo '<td bgcolor="white" align="center">',$rd_t,'</td>'; 	//Peor racha de derrotas (RDT)
			echo '<td bgcolor="white" align="center">',$rv_c,'</td>'; 	//Mejor racha de victorias (RVC)
			echo '<td bgcolor="white" align="center">',$rd_c,'</td>'; 	//Peor racha de derrotas (RDC)
			echo '<td bgcolor="white" align="center">',$rv_f,'</td>'; 	//Mejor racha de victorias (RVF)
			echo '<td bgcolor="white" align="center">',$rd_f,'</td>'; 	//Peor racha de derrotas (RDF)


			echo '</tr>';
		}
		mysql_close($connection);
	?>

	
	</table>
	<!-- ************ Fin clasificación ************** -->

	<br />
	&nbsp;<a href="index.php">Volver a generar otra jornada.</a>
	<br />
	<br />
	<b>&nbsp;Leyenda:</b>
	<br />
	&nbsp;G=Partidos ganados<br />
	&nbsp;E=Partidos empatados<br />
	&nbsp;P=Partidos perdidos<br />
	&nbsp;GF=Goles a favor<br />
	&nbsp;GC=Goles en contra<br />
	&nbsp;DFG=Diferencia de goles=GF-GC<br /><br />
	&nbsp;RVT=Mejor Racha de victorias total<br />
	&nbsp;RDT=Peor Racha de derrotas total<br />
	&nbsp;RVC=Mejor Racha de victorias en casa<br />
	&nbsp;RDC=Peor Racha de derrotas en casa<br />
	&nbsp;RVF=Mejor Racha de victorias fuera<br />
	&nbsp;RDF=Peor Racha de derrotas fuera<br /><br />
<!--
	&nbsp;RPS=Mejor Racha de partidos sin perder<br />
	&nbsp;RPP=Peor Racha de partidos perdidos<br />
-->

	<br />

<?php include('pie_pagina.inc.php'); ?>

</body>
</html>